View Issue Details

IDProjectCategoryView StatusLast Update
0001279ECLERD[All Projects] Generalpublic2016-08-28 18:42
ReporterXenostomAssigned ToXenos 
PrioritylowSeverityblockReproducibilityN/A
Status CloseResolutionfixed 
Product Versionv0 
Target VersionFixed in Version0.1.1 
Summary0001279: Arborescence des territoires
DescriptionLes cases de la carte doivent être agencées en communes, elles-mêmes agencées en département, eux-même groupés en Etat, eux-même regroupés en fédérations. La profondeur d'arborescence sera statique, mais un élément peut changer de parent et de nouveuax noeuds peuvent apparaitre/disparaitre (aka, créer de nouveaux départements ou en détruire est possible, mais on n'aura pas de notion de région).
TagsNo tags attached.
Attach Tags

Relationships

child of 0001273 CloseXenos ECLERD Zoom Fédéral 
child of 0001274 CloseXenos ECLERD Zoom Etat 
child of 0001275 CloseXenos ECLERD Zoom département 
child of 0001276 CloseXenos ECLERD Zoom commune 
child of 0001277 CloseXenos ECLERD Zoom case 
child of 0001280 CloseXenos ECLERD Lier le compte du joueur aux niveaux d'arborescence 
child of 0001299 CloseXenos [Abandon] Isometry Chaque case a une capacité de stock maximale 

Activities

Xenos

Xenos

2016-05-07 19:56

administrator   ~0001808

Last edited: 2016-05-07 19:57

View 2 revisions

J'ai plusieurs gros problèmes qui sont apparus:
• Le calcul des frontières est abominablement complexe et long
• Leur affichage sera juste impossible, car si j'ai env. 200 fédérations (ce qui fait peu), il pourrait y avoir des millions de cases sur la planète, et donc, des millions de segments de frontières à dessiner.

Il va falloir trouver une alternative (ne pas afficher les fontières au niveau monde? OK mais après, aux niveaux inférieurs?)

Xenos

Xenos

2016-05-08 10:26

administrator   ~0001809

Last edited: 2016-08-27 23:40

Chaque niveau de zoom aura en fait sa propre carte avec son propre découpage.
Ainsi, cela sera hyper-scalable (le niveau "ville" peut afficher les cases de la planète, même s'il y en a 510M puisque c'est seulement une petite zone de la planète) tout en étant facile à coder (pas besoin de calculs lourds pour évaluer les frontières d'un territoire: il suffit de prendre les éléments qui le composent, statiques) et plus simple (probablement) à présenter au joueur (chaque niveau de zoom a son propre plateau de jeu, indépendant des autres).
Xenos

Xenos

2016-07-23 19:51

administrator   ~0002103

Last edited: 2016-08-27 23:40

Finalement, je vire la notion de fédération qui embarrase plus qu'autre chose.
J'ai donc:
• une case isométrique (sur laquelle on aura une usine, et des ressources, qu'on pourra déplacer vers une case voisine)
• Ces cases iso sont regroupées en une case "pays", hexagonale
• Les cases pays pourront être regroupées pour former un pays
• Le zoom niveau mondial montrera l'ensemble des cases "pays" qui ne sont dans aucun pays (territoire international) et les pays qui existent sur la planète (groupement de cases "pays")
• En cliquant un pays, on aura le zoom au niveau de ce pays avec les infos de ce pays et les cases "pays" qui le compose
• En cliquant sur une de ces cases pays (que ce soit une case internationale depuis la vue monde ou une case pays depuis la vue d'un pays), on aura les cases isométriques qui le compose (permettant de déplacer les ressources).

Je verrai après quels contrôles attribuer à quel niveau de zoom, mais en gros:
• Au niveau monde, on verra les stats entre les pays (dont les traités)
• Au niveau pays, on définira les lois et on verra les traités
• Au niveau d'une case pays, on verra les ba^timents isométriques et on pourra déplacer les ressources et les troupes
• Au niveau d'une case isométrique seule, on aura les informations sur l'usine (qu'on pourra construire/démolir) et sur la case (et on pourra choisir les ressources à déplacer).

Bye bye les fédérations pour lesquelles je ne savais pas quels contrôles mettre!

Issue History

Date Modified Username Field Change
2016-04-29 17:57 Xenostom New Issue
2016-04-29 17:57 Xenostom Status New => Understood
2016-04-29 21:11 Xenos Relationship added child of 0001273
2016-04-29 21:11 Xenos Relationship added child of 0001274
2016-04-29 21:11 Xenos Relationship added child of 0001275
2016-04-29 21:11 Xenos Relationship added child of 0001276
2016-04-29 21:11 Xenos Relationship added child of 0001277
2016-04-29 21:11 Xenos Relationship added child of 0001280
2016-04-29 21:18 Xenos Relationship added child of 0001299
2016-04-29 21:23 Xenos Status Understood => Accepted
2016-05-06 14:03 Xenos Assigned To => Xenos
2016-05-06 14:03 Xenos Status Accepted => In progress
2016-05-07 19:56 Xenos Note Added: 0001808
2016-05-07 19:56 Xenos Status In progress => New
2016-05-07 19:56 Xenos Severity feature => block
2016-05-07 19:56 Xenos Status New => In progress
2016-05-07 19:57 Xenos Note Edited: 0001808 View Revisions
2016-05-07 19:57 Xenos Priority normal => low
2016-05-07 19:57 Xenos Status In progress => New
2016-05-08 10:26 Xenos Note Added: 0001809
2016-05-08 10:26 Xenos Status New => In progress
2016-07-23 19:51 Xenos Note Added: 0002103
2016-07-23 19:51 Xenos Status In progress => Ready
2016-07-23 19:51 Xenos Resolution open => fixed
2016-08-27 23:39 AutoUpdater Status Ready => Resolved
2016-08-27 23:40 AutoUpdater Fixed in Version => 0.1.1
2016-08-28 18:42 Xenos Status Resolved => Close